Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.7(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19901

Description

When using HTML-frames in composer, there are several problems:

    1. When exporting to pdf, letter-spacing in this pdf is wrong (text appears too dense). Letter-spacing appears alright in composer.

    2. Sizes (CSS-styles), for example the width/height of a table or div, appear approximately 10% to small, both in composer and when

exported to pdf.

    3. Borders (CSS-styles) less than 0.27mm do not appear, both in composer and when exported to pdf.

As an alternative i tried the same HTML-code in a label (rendered as HTML).

    1. This has no problem with letter-spacing in pdf export.

    2. It has the same problems with sizes, everything is about 10% too small.

    3. Borders less than 0.27mm are possible.

So this method is less bugged.

History

#1 - 2014-11-15 09:10 PM - Nyall Dawson

Do you have a sample project or HTML you can share?

#2 - 2014-11-15 11:28 PM - Albert van de Maat

- File Bug-report-11648.qgs added

- File Test.html added

- File Test.pdf added

Posted a sample project. 

It has 1 composer item "A4", with a label (rendered as html) and an HTML frame using Test.html

Also made a pdf export.

By the way, when making this sample i found that the buttom "update html" in the html-frame doesn't work.

Also there is no update when exported to pdf.

#3 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#6 - 2019-03-19 06:51 PM - Antoine Lafranchis

- File LAYOUT HTML.qgz added

- File HTML.pdf added

This issue is still valid... Can someone reopen it please?

I attach a project created with Qgis 3.0.7 (it has one layout and nothing else) and the corresponding output pdf.

A probably related issue, also visible in the same layout: style="height:100%" doesn't work.

#7 - 2019-03-21 01:57 PM - Giovanni Manghi

- Description updated

Antoine Lafranchis wrote:

This issue is still valid... Can someone reopen it please?

I attach a project created with Qgis 3.0.7 (it has one layout and nothing else) and the corresponding output pdf.

A probably related issue, also visible in the same layout: style="height:100%" doesn't work.

3.0.7 is tool old (maybe you meant 3.7?). Could you please test again on 3.4 or 3.6? If confirmed there we can reopen the ticket.

#8 - 2019-03-21 06:57 PM - Antoine Lafranchis

Yes, I meant 3.7.0

#9 - 2019-03-21 09:13 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open

- Affected QGIS version changed from 2.6.0 to 3.7(master)

Files

Bug-report-11648.qgs 6.02 KB 2014-11-15 Albert van de Maat

Test.html 281 Bytes 2014-11-15 Albert van de Maat

Test.pdf 13.3 KB 2014-11-15 Albert van de Maat

HTML.pdf 16.4 KB 2019-03-19 Antoine Lafranchis

LAYOUT HTML.qgz 4.15 KB 2019-03-19 Antoine Lafranchis
